Skip to content

Test Log Receiver.

POST
/api/config/namespaces/{namespace}/log_receivers/{name}/test
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/log_receivers/example/test \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example" }'

API to send test log.

Examples of this operation.

namespace
required
string

Namespace

x-required Namespace in which the log receiver is configured.

name
required
string

Name Name of the log receiver.

Media typeapplication/json
Test Log Receiver Request

Request to send test log.

object
name
Name

Name of the log receiver.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace in which the log receiver is configured Required: YES.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"name": "example",
"namespace": "example"
}

A successful response.

Media typeapplication/json
Test Log Receiver Response

Response for the Log Receiver test request; empty because the only returned information is error message.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example